function init(hero) {
    hero.setName("Elektra");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
	hero.addEquipment("minecraft:iron_axe");
    
    hero.addPowers("pack:acrobat", "fiskheroes:enhanced_reflexes",   "pack:shuriken");
   
     hero.addAttribute("WEAPON_DAMAGE", 8.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 12, 0);
    hero.addAttribute("FALL_RESISTANCE", 25.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.8, 1);
    hero.addAttribute("STEP_HEIGHT", 1.3, 0);	
    
	
    hero.addKeyBind("UTILITY_BELT", "Throwing Star", 1);
hero.addKeyBind("BLADE", "Sai", 2);
	
	
	hero.addAttributeProfile("BLADE", bladeProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"SHARP": 1.0}});

}


function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 14, 0);
    profile.addAttribute("SPRINT_SPEED", 0.7, 1);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}

